uniform sampler2D tex0;
uniform samplerCube tex1;
varying float reflectivity;


void main (void) {
    vec4 color;

    color = gl_Color;

    color *= texture2D(tex0, gl_TexCoord[0].xy);
    color += reflectivity*textureCube(tex1, gl_TexCoord[1].xyz);
//    color = textureCube(tex1, gl_TexCoord[1].xyz);

    gl_FragColor = color;
}
